Subject: Re: CONFIG_PROVE_LOCKING broken on 83xx (and all of powerpc?)

From: Timur Tabi <[email-masked]>
Date: Thu, 9 Sep 2010 14:40:50 -0500

Ira W. Snyder wrote:
> As noted in another email, it appears that U-Boot puts the FDT in such a
> place that Linux overwrites it with the BSS. The CONFIG_PROVE_LOCKING=y
> option expands the BSS by a large amount, which causes the error. It
> isn't directly lockdep related.
> 
> I don't know if this is a U-Boot problem or a Linux problem. I have no
> idea how to fix the bug.

I wonder if this patch that I wrote for U-Boot will fix the problem:

http://lists.denx.de/pipermail/u-boot/2010-May/071822.html

-- 
Timur Tabi
Linux kernel developer at Freescale